# DataExchange
TKXSBase
Transfer

# Transfer_ActorOfProcessForTransient Class Reference

`#include <Transfer_ActorOfProcessForTransient.hxx>`

Inheritance diagram for Transfer_ActorOfProcessForTransient:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_ActorOfProcessForTransient ()
virtual Standard_EXPORT Standard_Boolean | Recognize (const Handle(Standard_Transient)&start)
virtual Standard_EXPORT Handle_Transfer_Binder | Transferring (const Handle(Standard_Transient)&start, const Handle(Transfer_ProcessForTransient)&TP)
Standard_EXPORT Handle_Transfer_SimpleBinderOfTransient | TransientResult (const Handle(Standard_Transient)&res) const
Standard_EXPORT Handle_Transfer_Binder | NullResult () const
Standard_EXPORT void | SetLast (const Standard_Boolean mode=Standard_True)
Standard_EXPORT Standard_Boolean | IsLast () const
Standard_EXPORT void | SetNext (const Handle(Transfer_ActorOfProcessForTransient)&next)
Standard_EXPORT Handle_Transfer_ActorOfProcessForTransient | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Transfer_ActorOfProcessForTransient | thenext
Standard_Boolean | thelast

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_ActorOfProcessForTransient::Transfer_ActorOfProcessForTransient | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_ActorOfProcessForTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in IGESToBRep_Actor, STEPControl_ActorRead, Transfer_ActorDispatch, and Transfer_ActorOfTransientProcess.

Standard_EXPORT Standard_Boolean Transfer_ActorOfProcessForTransient::IsLast | ( |  | ) | const

Standard_EXPORT Handle_Transfer_ActorOfProcessForTransient Transfer_ActorOfProcessForTransient::Next | ( |  | ) | const

Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfProcessForTransient::NullResult | ( |  | ) | const

virtual Standard_EXPORT Standard_Boolean Transfer_ActorOfProcessForTransient::Recognize | ( | const Handle(Standard_Transient)& | start | ) | `[virtual]`

| Reimplemented in IGESToBRep_Actor, and STEPControl_ActorRead.

Standard_EXPORT void Transfer_ActorOfProcessForTransient::SetLast | ( | const Standard_Boolean | mode = `Standard_True` | ) |

Standard_EXPORT void Transfer_ActorOfProcessForTransient::SetNext | ( | const Handle(Transfer_ActorOfProcessForTransient)& | next | ) |

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfProcessForTransient::Transferring | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_ProcessForTransient)& | TP
| ) | `[virtual]`

| Reimplemented in Transfer_ActorOfTransientProcess.

Standard_EXPORT Handle_Transfer_SimpleBinderOfTransient Transfer_ActorOfProcessForTransient::TransientResult | ( | const Handle(Standard_Transient)& | res | ) | const

## Field Documentation

Standard_Boolean Transfer_ActorOfProcessForTransient::thelast `[private]`

Handle_Transfer_ActorOfProcessForTransient Transfer_ActorOfProcessForTransient::thenext `[private]`

The documentation for this class was generated from the following file:

- Transfer_ActorOfProcessForTransient.hxx